### Method

# Ide ContextAddin load_project_async

#### Declaration

    void
    ide_context_addin_load_project_async (
      IdeContextAddin* self,
      IdeContext* context,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests to load a project with the `IdeContextAddin`.

This function is called when the `IdeContext` requests loading a project.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.